function 追加()
service.appendCopy()
return true
end


require "import"
import "android.graphics.Rect"

function 检测点击广告焦点()
  local 左最小=0.03
  local 左最大=0.3
  local 上最小=0.3
  local 上最大=0.5
  local 下最小=0.4
  
  local w=service.getWidth()
  local h=service.getHeight()
local state,list = pcall(function()return service.getNodeTree()end);
  if not state return false end
  local n = list.size();
  for i = 0,n-1
    local node = list.get(i);
    if(!node.isVisibleToUser())
      continue;
    end
    local id = node.getViewIdResourceName()
    if id==nil
      continue
    end

    local r1 = Rect();
    node.getBoundsInParent(r1);

    node.getBoundsInScreen(r1);
    if r1.left>w*左最小 and r1.left<w*左最大 and r1.top>h*上最小 and r1.top<h*上最大 and r1.bottom>h*下最小
      return service.click(node)
    end
  end
  return false
end


--关闭广告
require "import"
import "android.graphics.Rect"
function getNodeTree(node,tag)
  table.insert(tag,node)
  local c=node.getChildCount()
  for n=0,c-1 do
    pcall(getNodeTree,node.getChild(n),tag)
  end
  return tag
end



function 关闭广告()
  local state,list = pcall(function()return getNodeTree(service.getRootInActiveWindow(),{})end);
  if not state return false end
  local w=service.getWidth()
  local h=service.getHeight()
  local n = #list;
  local ret=false
  for i = n,1,-1
    local node = list[i];
    if(!node.isVisibleToUser())
      continue;
    end
    

    local r1 = Rect();
    node.getBoundsInParent(r1);
    if r1.left<50
      continue;
    end

    node.getBoundsInScreen(r1);
    if r1.left<w*0.4 or r1.right>w*0.6 or r1.left>w*0.5 or r1.top<h*0.5
      continue;
    end
    --print(node)
    ret = service.click(node);
  end
  return ret
end




--关闭广告通用
require "import"
import "android.graphics.Rect"
function getNodeTree(node,tag)
  table.insert(tag,node)
  local c=node.getChildCount()
  for n=0,c-1 do
    pcall(getNodeTree,node.getChild(n),tag)
  end
  return tag
end



function 关闭广告通用()
  local state,list = pcall(function()return getNodeTree(service.getRootInActiveWindow(),{})end);
  if not state return false end
  local w=service.getWidth()
  local h=service.getHeight()
  local n = #list;
  for i = n,1,-1
    local node = list[i];
    if(!node.isVisibleToUser())
      continue;
    end
    

    local r1 = Rect();
    node.getBoundsInParent(r1);
    if r1.left<50
      continue;
    end

    node.getBoundsInScreen(r1);
    if r1.left<w*0.4 or r1.right>w*0.6 or r1.left>w*0.5 or r1.top<h*0.5
      continue;
    end
    --print(node)
    return service.click(node);
  end
  return false
end



--关闭广告专用
require "import"
import "android.graphics.Rect"
function getNodeTree(node,tag)
  table.insert(tag,node)
  local c=node.getChildCount()
  for n=0,c-1 do
    pcall(getNodeTree,node.getChild(n),tag)
  end
  return tag
end



function 关闭广告专用()
  local state,list = pcall(function()return getNodeTree(service.getRootInActiveWindow(),{})end);
  if not state return false end
  local w=service.getWidth()
  local h=service.getHeight()
  local n = #list;
  for i = n,1,-1
    local node = list[i];
    if(!node.isVisibleToUser())
      continue;
    end
    if("android.widget.Image"~=tostring(node.getClassName()))
      continue;
    end

    local r1 = Rect();
    node.getBoundsInParent(r1);
    if r1.left<50
      continue;
    end

    node.getBoundsInScreen(r1);
    if r1.left<w*0.4 or r1.right>w*0.6 or r1.left>w*0.5 or r1.top<h*0.5
      continue;
    end
    --print(node)
    return service.click(node);
  end
  return false
end


--任务
按钮列表=
{
{
"%朗读/1$1",

"%主屏幕$300","支付宝>10$300","稍后再说|我的>100$300","稍后再说|我的>100$300","稍后再说|我的>100$300","设置>30$300","设置>30$300","通用*>30$300","通用*>30$300","存储空间管理*>30$300","存储空间管理*>30$300","%追加$1",
"<支付宝已用空间>100$300","<支付宝已用空间>30$300","%追加$1","%下个焦点$500","%追加$1",
"<缓存>30$300","<缓存>30$300","%追加$1","%下个焦点$500","%追加$1",
"<运行所需文件>30$300","<运行所需文件>30$300","%追加$1","%下个焦点$500","%追加$1",
"清理支付宝缓存>10$300",

{{
"%返回&*小小疯*$3","%朗读/返回",
"%返回&!任务已完成|*秒后即将跳转*|*老铁领红包$3","%朗读/返回",
"%返回&!任务已完成|*秒后即将跳转*|*老铁领红包$3","%朗读/返回","%返回&!任务已完成|*秒后即将跳转*|*老铁领红包$3","%朗读/返回","%返回&!任务已完成|*秒后即将跳转*|*老铁领红包$3","%朗读/返回","%返回&!任务已完成|*秒后即将跳转*|*老铁领红包$3","%朗读/返回",
}},


"<微信|获得红包:*|获得金币:*|*元红包|我知道了|知道了|点点成金&活跃金币$100",
"%延时$2000",


"%朗读/2$1",
"朗读/2$1",



"关闭广告通用>10","%朗读/关闭广告通用$3",


"%朗读/2$1",

"%延时$100000",
"检测点击广告焦点>5",
"%朗读/2$1",


"点击广告>10","%朗读/打开广告$3",
--1"%关闭广告>10","%朗读/关闭广告通用$3",
"检测点击广告焦点>10$200",
"%朗读/2$1",

},
}
service.click(按钮列表)
return true